[REQ] replace all similar groups with component
-
More leaves on one quad. Less quads.
-
And don't forget that the Sdmitch Plugin allow you to take several different components as "Source" for a better tree leaves simulation!
-
TIG has also some snipsets for this sort of things
(all codes must be on one line in the ruby console!!!Transform objects of a selection in components!
m=Sketchup.active_model; m.start_operation("Faces>Compos"); n=m.active_entities;m.selection.to_a.each{|e|(g=n.add_group(e.all_connected); g.to_component.definition.name="FaceSet#1")if e.valid? and e.parent==n.parent and e.class==Sketchup;;Face}; m.commit_operation
Tranform any faces in components
m=Sketchup.active_model; n=m.active_entities; m.selection.to_a.each{|e|(g=n.add_group(e); g.to_component.definition.name="Face#1")if e.class==Sketchup;;Face}
all faces of a selection are transformed in groups
(except groups or components yet existing)m=Sketchup.active_model;n=m.active_entities;m.selection.to_a.each{|e|n.add_group(e)if e.class==Sketchup;;Face};
Ps For be complete
Groups to Components by Thomthom
Advertisement